Debian Bug report logs - #487388
RFH: flightgear -- Flight Gear Flight Simulator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ove Kaaven <ovek@arcticnet.no>

Date: Sat, 21 Jun 2008 13:09:01 UTC

Severity: normal

Fixed in version flightgear/2.12.0-1

Done: Markus Wanner <markus@bluegap.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#487388; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ove Kaaven <ovek@arcticnet.no>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ove Kaaven <ovek@arcticnet.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFH: flightgear -- Flight Gear Flight Simulator
Date: Sat, 21 Jun 2008 15:07:14 +0200
Package: wnpp
Severity: normal

Flight Gear is a free and highly sophisticated flight simulator.

Since my time may be limited in the future, I am seeking comaintainers
for the Flight Gear packages in Debian.

I have created a project for this on alioth.debian.org. I've loaded the
current packaging into a Subversion repository there.

Currently, there are 4 source packages:
- simgear: libraries
- flightgear: binaries
- fgfs-base: data files
- fgfs-atlas: "moving map" utility

I'd welcome efforts to improve the current packages (for example, making
a ready-to-use TerraSync configuration for automatic download of scenery)
and/or add more packages, including making packages with extra aircraft.
I haven't had time to do anything of the sort myself.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.ISO-8859-1, LC_CTYPE=en_US.ISO-8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Wed, 21 Jul 2010 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Baines <cbaines8@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 21 Jul 2010 07:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 487388@bugs.debian.org (full text, mbox):

From: Chris Baines <cbaines8@gmail.com>
To: 487388@bugs.debian.org
Subject: RE: RFH: flightgear -- Flight Gear Flight Simulator
Date: Wed, 21 Jul 2010 07:59:53 +0100
Hi Ove,

I have enjoyed using Flightgear for a few years now and have been
experimenting with packaging aircraft and scenery with some success.
However I have just started using Debian and have almost now developer
experience. 

I have been uploading some of my packages to my launchpad ppa
(https://edge.launchpad.net/~cbaines ) and discussing this on the
Flightgear (http://www.flightgear.org/forums/viewtopic.php?f=6&t=7665 )
and Debian forums
(http://forums.debian.net/viewtopic.php?f=19&t=53782 ). However my
packages are poorly built and just experimental. I was just
experimenting with concepts. I am not sure if I have the necessary
skills to become a co-maintainer but I would be willing to try and help.

Chris





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Tue, 26 Jun 2012 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 26 Jun 2012 19:27:04 GMT) Full text and rfc822 format available.

Message #15 received at 487388@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: 487388@bugs.debian.org
Subject: helping with flightgear
Date: Tue, 26 Jun 2012 21:21:32 +0200
Hi,

I'd like to help out with packaging flightgear, so I requested to join
the pkg-fgfs project on alioth. I started with an attempt to package
flightgear-2.6.0, see #673314.

Regards

Markus Wanner




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Mon, 07 Jan 2013 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 Jan 2013 15:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 487388@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: Ove Kaaven <ovek@arcticnet.no>, 487388@bugs.debian.org
Subject: helping with flightgear package in Debian
Date: Mon, 7 Jan 2013 10:20:49 -0500
Hi Ove,

I can help out with flightgear, I've been looking at it and did some
initial work. Some of it, at the least, was an exercise for me in
trying out some stuff I haven't done before. If you don't like it, I
have no problem rolling it back.

Most "invasive" is listed first

1) Moved the VCS to git
rationale: The SVN repo has the entire upstream source included, we
might as well be using git-buildpackage to check in the source and
pristine-tar deltas (and thus tagging upstream releases) makes
rebuilding of any .orig.tar.gz of any release easy. Many Debian SVN
repos have been moving in this direction, I think it is a good way to
go. I kept SVN's history and imported the tags.

http://anonscm.debian.org/gitweb/?p=collab-maint/flightgear.git

I can put it in pkg-fgfs if you'd like, I'll have to join the team
first. Having it in collab-maint also makes it easier for others to
commit if you'd like to keep it there too.

2) Simplified debian rules to short dh style. In order to future-proof
building and make rules more readable, I cleaned the packaging up.

3) Lots of lintian cleaning, removed 20+ warnings, about 10 still
remain. Most were fixed by switching to dh rules. In the process of
hardening the binaries I bumped the debian/compat to 9. There still is
more lintian cleaning to go.

TODO:
get-orig-source target. Somehow the upstream tarball is screwed up
(lots of warnings when building the package) and there is no
definitive way of grabbing upstream source. the watch file is working,
so use uscan to download current version and rename/repack at least.
new upstream source: will fix the security bug

Let me know if this is helpful or if any of these are out-of-bounds.
I'd like to keep working in this direction and possible update simgear
and fgfs-base similarly.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Sat, 27 Apr 2013 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Saikrishna Arcot <saiarcot895@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 27 Apr 2013 13:03:04 GMT) Full text and rfc822 format available.

Message #25 received at 487388@bugs.debian.org (full text, mbox):

From: Saikrishna Arcot <saiarcot895@gmail.com>
To: 487388@bugs.debian.org
Subject: Flightgear Packaging
Date: Sat, 27 Apr 2013 08:00:40 -0500
Hi,

I too would like to help with the Flightgear packaging and help update
it to 2.10.0. I've packaged 2.10.0 in my Launchpad PPA
(https://launchpad.net/~saiarcot895/+archive/flightgear).

-- 
Saikrishna Arcot




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Wed, 17 Jul 2013 19:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 17 Jul 2013 19:39:08 GMT) Full text and rfc822 format available.

Message #30 received at 487388@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 487388@bugs.debian.org
Cc: Scott Howard <showard@debian.org>, 714260@bugs.debian.org, Ove Kaaven <ovek@arcticnet.no>
Subject: Helping with flightgear package
Date: Wed, 17 Jul 2013 22:36:10 +0300
Hello,

The Debian version of flightgear is 2.6.0 while the current upstream
version is 2.10, and Ove has a RFH for flightgear and in the SVN repo
there were no changes since August 5, last year (revision 229).
There is also a request for the new upstream version (714260).

So, Scott, could you, please package 2.10 in the git repo and NMU it
to unstable (in a delay queue)?

--
Regards,
EddyP
=============================================
The universe is not required to be in perfect harmony with human
ambition. - Carl Sagan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Wed, 31 Jul 2013 15:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 31 Jul 2013 15:33:12 GMT) Full text and rfc822 format available.

Message #35 received at 487388@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: Scott Howard <showard@debian.org>, pkg-fgfs-crew@lists.alioth.debian.org
Cc: 487388@bugs.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Wed, 31 Jul 2013 17:24:49 +0200
[Message part 1 (text/plain, inline)]
Scott,

On 07/29/2013 03:45 PM, Scott Howard wrote:
> You can use it if it helps, or ignore it if it doesn't. It was mostly
> for my own use. I've been really busy lately and haven't gotten around
> to packaging and uploading newer versions.

I've pushed upstream/2.10.0 and an update to the debian packaging of it.
It's based It's based on your changes. I hope that's okay.

Obviously, it's not of much use without an updated simgear package,
which flightgear depends on. I have updates for that ready as well, but
am not sure where to push to.

Can you please import the svn history of simgear into git and create a
repository for it on collab-maint? (I'm just a DM - not sure where else
I should request creation of a repo).

Oh, and then there's fgfs-base as well. I don't think we want all that
data in a git repo. How about a git repo for just the debian directory?

> that git repo uses git-buildpackage and a pristine-tar branch for
> generating tarballs, but again - whomever wants to do the work can do
> it how ever they like.

I didn't ever use git-buildpackage so far... Shoud I have pushed
something to the pristine-tar branch as well?

Regards

Markus Wanner

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Wed, 31 Jul 2013 17:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 31 Jul 2013 17:48:09 GMT) Full text and rfc822 format available.

Message #40 received at 487388@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: Markus Wanner <markus@bluegap.ch>
Cc: pkg-fgfs-crew@lists.alioth.debian.org, 487388@bugs.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Wed, 31 Jul 2013 13:45:57 -0400
On Wed, Jul 31, 2013 at 11:24 AM, Markus Wanner <markus@bluegap.ch> wrote:
> Scott,
>
> On 07/29/2013 03:45 PM, Scott Howard wrote:
>> You can use it if it helps, or ignore it if it doesn't. It was mostly
>> for my own use. I've been really busy lately and haven't gotten around
>> to packaging and uploading newer versions.
>
> I've pushed upstream/2.10.0 and an update to the debian packaging of it.
> It's based It's based on your changes. I hope that's okay.

thanks!

>
> Obviously, it's not of much use without an updated simgear package,
> which flightgear depends on. I have updates for that ready as well, but
> am not sure where to push to.
>
> Can you please import the svn history of simgear into git and create a
> repository for it on collab-maint? (I'm just a DM - not sure where else
> I should request creation of a repo).

I'll be traveling a bit, but I'll share how I copied the history from svn->git

https://wiki.debian.org/Alioth/Git#Convert_a_SVN_Alioth_repository_to_Git

And here's how to set up a git repo on the debian servers:
https://wiki.debian.org/Alioth/Git

> Oh, and then there's fgfs-base as well. I don't think we want all that
> data in a git repo. How about a git repo for just the debian directory?

this sounds best for large amount of data

>> that git repo uses git-buildpackage and a pristine-tar branch for
>> generating tarballs, but again - whomever wants to do the work can do
>> it how ever they like.

Here's a good tutorial
https://wiki.debian.org/PackagingWithGit

whenever I use "git-import-dsc" or "git-import-org" I pass the
--pristine-tar argument.

When you build using "git-buildpackage" you can then just use the
--git-pristine-tar argument to generate .orig.tar.gz if you haven't
already downloaded them. It's nice to have that ability.

~Scott



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Thu, 08 Aug 2013 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 08 Aug 2013 19:00:04 GMT) Full text and rfc822 format available.

Message #45 received at 487388@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: Scott Howard <showard@debian.org>, pkg-fgfs-crew@lists.alioth.debian.org
Cc: 487388@bugs.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Thu, 08 Aug 2013 20:55:12 +0200
[Message part 1 (text/plain, inline)]
On 07/31/2013 05:24 PM, Markus Wanner wrote:
> I've pushed upstream/2.10.0 and an update to the debian packaging of it.
> It's based It's based on your changes. I hope that's okay.
> 
> Obviously, it's not of much use without an updated simgear package,
> which flightgear depends on. I have updates for that ready as well, but
> am not sure where to push to.

Just as a heads up: all three are now available on collab-maint and are
updated to work together to provide FlightGear 2.10:

http://anonscm.debian.org/gitweb/?p=collab-maint/simgear.git
http://anonscm.debian.org/gitweb/?p=collab-maint/flightgear-data.git
http://anonscm.debian.org/gitweb/?p=collab-maint/flightgear.git

I'm still working on it, but it's worth pointing out a few design
decisions that may be controversial:

 - I moved the scenery data package back into the base one, as it's
   too small to matter (< 10 MiB) and didn't disturb terrasync, either.
 - Split AI data into its own package (ca. 130 MiB)
 - Consistently renamed fgfs to flightgear (package names)
 - Renamed simgear to libsimgear, split to match SONAMES

I'd still like to:

 - Use debhelper 7 for simgear as well. And get rid of the static
   variant of that library in libsimgear-dev. It would simplify rules a
   lot. Anybody opposed to that?

I envision flightgear-data-base to be a package that's sufficient to run
flightgear on. No AI, no object models, only the default c172 aircraft.

(Of course, that currently emits lots of warnings and load errors. I
hope to be able to get rid of those eventually.)

Regards

Markus Wanner

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Fri, 09 Aug 2013 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Saikrishna Arcot <saiarcot895@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 09 Aug 2013 12:15:05 GMT) Full text and rfc822 format available.

Message #50 received at 487388@bugs.debian.org (full text, mbox):

From: Saikrishna Arcot <saiarcot895@gmail.com>
To: 487388@bugs.debian.org
Subject: Flightgear packaging
Date: Fri, 9 Aug 2013 07:11:58 -0500
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Hi,

In the flightgear rules file, flightgear is built in a subdirectory. Is
there any particular reason for this, since building as-is (without
specifying a build directory) could get rid of a couple of lines? Also,
there are icons included in the icons folder that can be installed with
flightgear so that an icon is displayed when it is running.

Also, I'm interested in becoming the maintainer of flightgear, simgear, and
the data package. Is this still possible?

Saikrishna Arcot
-----BEGIN PGP SIGNATURE-----
Version: APG v1.0.8

iQJGBAEBCgAwBQJSBNqhKRxTYWlrcmlzaG5hIEFyY290IDxzYWlhcmNvdDg5NUBn
bWFpbC5jb20+AAoJECA7R8LGa3hLTDoQAKuWeU2KtFmQdJPI0WgTHnBZFLeiDy1t
OqiNTMvP/OlcMqp0HpoqpzNniOX2C9f4as9mKwLCsFCn0zJ+2HLi6i9G/iYai2ew
wIp26Sc62ZS8hqtUNkIo5kO/MSdNU3odU3DX2P54MvDL8d0flJ4HIVQdR5h2g0Lm
T0FtLdrzliYvElvrtkePRioAt93cZKeylhjMvvo7WqYyvD8Bk1vHVhlQWfxUEblZ
HAGVAQ4o2qg+STp6B9c/6qkKTe1Vqcc1fFRx+HwQW8AJBRr/rfYDR7A1s5K9YQTd
EblajOwJ3iX8hG9gcHXZyynmWjiOP+TH5hqHvhU5jSoBcc8nYI+BGqs8Vjx9Za9t
KSX6082mq4Q/GAMAb+oJn3csuUuZ0UsQeyrUJ6Ds09TGS5Z38qcVvX+EF6tTQDIF
44OMfH6Ba47Ea9r7Rb0jWZDCxOF5+4oWhm2pzZGgSGh7KiY2ijCYt4eyJEZayBbO
ZDw3DmlADVRuikdeQ/j+NhW2h9UxpF2LvYiHhyE5CfNdMR0lJ22f1o38/4AFgEdW
O91pOhqu3Jn0jGWwLvdJW4iJbsZQW4QoJmLSSzbN4TUopiT9hI73ZwKUy+lhuub4
ROn5egzQo94apmR2FUkbm8mDzlaDuBSfRibRCZE5Yzez1OmAnLqcIcniywKB0M16
i0n5LEWpkEcF
=pEJI
-----END PGP SIGNATURE-----
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Sun, 11 Aug 2013 15:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 11 Aug 2013 15:33:10 GMT) Full text and rfc822 format available.

Message #55 received at 487388@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: Eddy Petrișor <eddy.petrisor@gmail.com>
Cc: Markus Wanner <markus@bluegap.ch>, Ove Kaaven <ovek@arcticnet.no>, Saikrishna Arcot <saiarcot895@gmail.com>, 487388@bugs.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Sun, 11 Aug 2013 11:31:16 -0400
On Sun, Aug 11, 2013 at 7:55 AM, Eddy Petrișor <eddy.petrisor@gmail.com> wrote:
> 2013/7/29 Scott Howard <showard@debian.org>:
>> On Mon, Jul 29, 2013 at 8:43 AM, Markus Wanner <markus@bluegap.ch> wrote:
>> You can use it if it helps, or ignore it if it doesn't. It was mostly
>> for my own use. I've been really busy lately and haven't gotten around
>> to packaging and uploading newer versions.
>
> Scott, if the package is prepared by Markus, would you be able to
> upload it to the official archive?

I'll be happy to upload, just let me know when everything is ready
(flightgear, simgear, libraries, etc.)
I cannot test the package myself, my hardware isn't good enough - but
I can make sure it is debian policy compliant and rely on your own
testing.

~Scott



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Mon, 19 Aug 2013 14:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Aug 2013 14:54:09 GMT) Full text and rfc822 format available.

Message #60 received at 487388@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: Scott Howard <showard@debian.org>
Cc: Eddy Petrișor <eddy.petrisor@gmail.com>, Ove Kaaven <ovek@arcticnet.no>, Saikrishna Arcot <saiarcot895@gmail.com>, 487388@bugs.debian.org, pkg-fgfs-crew@lists.alioth.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Mon, 19 Aug 2013 16:50:01 +0200
On 08/11/2013 05:31 PM, Scott Howard wrote:
> I'll be happy to upload, just let me know when everything is ready
> (flightgear, simgear, libraries, etc.)
> I cannot test the package myself, my hardware isn't good enough - but
> I can make sure it is debian policy compliant and rely on your own
> testing.

I just read that the 2.12 release got postponed to September. So I
currently think it still makes sense to upload 2.10 and gain experience
with it. It's certainly quite a step since 2.6.

Scott, I now consider the packaging here ready for upload to unstable.
Please review:

http://anonscm.debian.org/gitweb/?p=collab-maint/simgear.git
http://anonscm.debian.org/gitweb/?p=collab-maint/flightgear-data.git
http://anonscm.debian.org/gitweb/?p=collab-maint/flightgear.git

Note that flightgear-data is special in that the origin files are not
included in the git tree. Please get the base data from one of the
mirrors and symlink to fgfs-base_2.10.0.orig.tar.bz2 (723 MiB). Two
possible mirrors are:

> ftp://ftp.de.flightgear.org/pub/fgfs/Shared/FlightGear-data-2.10.0.tar.bz2
> ftp://ftp.kingmont.com/flightsims/flightgear/Shared/FlightGear-data-2.10.0.tar.bz2


I'm a DM and would also appreciate upload permissions. Shall I add
myself as an uploader on these packages?


Some implementation notes: I changes the simgear library to use
debhelper 7 as well. This strips the static variant, which I think is
not needed.

I didn't touch how the data package is split, yet. Since my last mail,
that is. I.e. compared to 2.6, I merged scenery back into the base
package, but split out AI, which is a lot bigger.

However, according to upstream, it's not save to leave away portions of
the provided data package (certainly not simple portions like entire AI,
Models, Scenery or Aircraft directories). Thus, strictly speaking, all
data packages are required. And given former bugs, I now simply made all
data packages a dependency. That's a bit unfortunate, but safe.

I intend to look into splitting data packages or providing some kind of
download manager. Together with a better integration with terrasync. But
I don't want to withhold the current packaging because of that.

Regards

Markus Wanner



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Mon, 19 Aug 2013 14:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Aug 2013 14:57:09 GMT) Full text and rfc822 format available.

Message #65 received at 487388@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: Markus Wanner <markus@bluegap.ch>
Cc: 487388@bugs.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Mon, 19 Aug 2013 10:55:50 -0400
On Mon, Aug 19, 2013 at 10:50 AM, Markus Wanner <markus@bluegap.ch> wrote:
> I'm a DM and would also appreciate upload permissions. Shall I add
> myself as an uploader on these packages?

Yes, please add yourself as an uploader. I can add DM permissions once
it goes through the new queue, but I think you're taking on the
appropriate responsibility to be an uploader.

I'll check out the packages and upload once you add yourself to debian/control.

Cheers
Scott



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Mon, 19 Aug 2013 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Aug 2013 20:54:04 GMT) Full text and rfc822 format available.

Message #70 received at 487388@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: Markus Wanner <markus@bluegap.ch>
Cc: Scott Howard <showard@debian.org>, Ove Kaaven <ovek@arcticnet.no>, Saikrishna Arcot <saiarcot895@gmail.com>, 487388@bugs.debian.org, pkg-fgfs-crew@lists.alioth.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Mon, 19 Aug 2013 23:51:19 +0300
2013/8/19 Markus Wanner <markus@bluegap.ch>:
> I intend to look into splitting data packages or providing some kind of
> download manager. Together with a better integration with terrasync. But
> I don't want to withhold the current packaging because of that.

Hi Markus,

When trying to integrate with terrasync, please take into account that
the application is hightly dependent on a specific libsvn version
that, IIRC, is dictated by the server. This could raise some issues if
the version is too old, and might require bundling the lib inside the
terrasync binary/package.


P.S.: Thanks for your work.

-- 
Regards,
EddyP
=============================================
The universe is not required to be in perfect harmony with human
ambition. - Carl Sagan



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Tue, 03 Sep 2013 16:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Saikrishna Arcot <saiarcot895@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Sep 2013 16:00:05 GMT) Full text and rfc822 format available.

Message #75 received at 487388@bugs.debian.org (full text, mbox):

From: Saikrishna Arcot <saiarcot895@gmail.com>
To: Eddy Petrișor <eddy.petrisor@gmail.com>, Markus Wanner <markus@bluegap.ch>, Scott Howard <showard@debian.org>, Ove Kaaven <ovek@arcticnet.no>
Cc: 487388@bugs.debian.org, pkg-fgfs-crew@lists.alioth.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Tue, 03 Sep 2013 11:56:35 -0400
[Message part 1 (text/plain, inline)]
According to this
<http://sourceforge.net/mailarchive/forum.php?thread_name=4C5262AE-653A-475F-AD09-91FE7461768C%40mac.com&forum_name=flightgear-devel>
post, the flightgear-data repo will get smaller, with some parts being
downloaded through other sources. If this happens, would it be possible
to re-split the flightgear-data package to have one package per download
source?

On Mon 19 Aug 2013 04:51:19 PM EDT, Eddy Petrișor wrote:
>
> 2013/8/19 Markus Wanner <markus@bluegap.ch>:
>>
>> I intend to look into splitting data packages or providing some kind of
>> download manager. Together with a better integration with terrasync. But
>> I don't want to withhold the current packaging because of that.
>
>
> Hi Markus,
>
> When trying to integrate with terrasync, please take into account that
> the application is hightly dependent on a specific libsvn version
> that, IIRC, is dictated by the server. This could raise some issues if
> the version is too old, and might require bundling the lib inside the
> terrasync binary/package.
>
>
> P.S.: Thanks for your work.
>
> -- 
> Saikrishna Arcot
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Fri, 06 Sep 2013 21:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Wanner <markus@bluegap.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 Sep 2013 21:48:05 GMT) Full text and rfc822 format available.

Message #80 received at 487388@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: Saikrishna Arcot <saiarcot895@gmail.com>
Cc: Eddy Petrișor <eddy.petrisor@gmail.com>, Scott Howard <showard@debian.org>, Ove Kaaven <ovek@arcticnet.no>, 487388@bugs.debian.org, pkg-fgfs-crew@lists.alioth.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Fri, 06 Sep 2013 23:42:17 +0200
[Message part 1 (text/plain, inline)]
On 09/03/2013 05:56 PM, Saikrishna Arcot wrote:
> According to this
> <http://sourceforge.net/mailarchive/forum.php?thread_name=4C5262AE-653A-475F-AD09-91FE7461768C%40mac.com&forum_name=flightgear-devel>
> post, the flightgear-data repo will get smaller, with some parts being
> downloaded through other sources.

Thanks for the heads up. I didn't know about these plans. However, we're
only about to see 2.12, soon-ish....

> If this happens, would it be possible
> to re-split the flightgear-data package to have one package per download
> source?

Of course.

Regards

Markus Wanner

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487388; Package wnpp. (Fri, 06 Sep 2013 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 Sep 2013 21:51:04 GMT) Full text and rfc822 format available.

Message #85 received at 487388@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: Markus Wanner <markus@bluegap.ch>
Cc: 487388@bugs.debian.org, pkg-fgfs-crew@lists.alioth.debian.org
Subject: Re: [pkg-fgfs-crew] Bug#714260: Helping with flightgear package
Date: Fri, 6 Sep 2013 17:48:53 -0400
All the new packages have cleared the NEW queue and are in
experimental. Markus has been granted DM-upload access to those
packages and is a DM, so it looks like it's ready for him to upload to
experimental when it's ready.

Thanks for your contribution, Markus! If you need anything else, let me know.



Reply sent to Markus Wanner <markus@bluegap.ch>:
You have taken responsibility. (Tue, 24 Sep 2013 11:36:05 GMT) Full text and rfc822 format available.

Notification sent to Ove Kaaven <ovek@arcticnet.no>:
Bug acknowledged by developer. (Tue, 24 Sep 2013 11:36:05 GMT) Full text and rfc822 format available.

Message #90 received at 487388-close@bugs.debian.org (full text, mbox):

From: Markus Wanner <markus@bluegap.ch>
To: 487388-close@bugs.debian.org
Subject: Bug#487388: fixed in flightgear 2.12.0-1
Date: Tue, 24 Sep 2013 11:33:36 +0000
Source: flightgear
Source-Version: 2.12.0-1

We believe that the bug you reported is fixed in the latest version of
flightgear, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 487388@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Wanner <markus@bluegap.ch> (supplier of updated flightgear package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 23 Sep 2013 22:20:15 +0200
Source: flightgear
Binary: flightgear
Architecture: source i386
Version: 2.12.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Changed-By: Markus Wanner <markus@bluegap.ch>
Description: 
 flightgear - Flight Gear Flight Simulator
Closes: 487388 723976
Changes: 
 flightgear (2.12.0-1) experimental; urgency=low
 .
   * New upstream release. Closes: #723976, #487388.
   * Adjust dependencies on simgear and flightgear-data for 2.12.
   * Drop patches terrasync.patch, CVE-2012-2090.diff, CVE-2013-2091.diff,
     and bug1117.diff. These got applied upstream.
Checksums-Sha1: 
 623e9514997843ac9be0546a024c58be4f29b881 3131 flightgear_2.12.0-1.dsc
 1a94ee0f5ff2af1b37ec14ee401f24759f11c92a 3424463 flightgear_2.12.0.orig.tar.bz2
 c07505667aec3e7aba32d2d2f5edc758789de11e 25007 flightgear_2.12.0-1.debian.tar.gz
 6fa646d95fbc0a69751e2783836ba55ea070341f 3123550 flightgear_2.12.0-1_i386.deb
Checksums-Sha256: 
 476ff82d495b9c8e4d7c007325ed94e7e56ed9732dc4082fdc90aedc275e48a8 3131 flightgear_2.12.0-1.dsc
 84499d1b2a6c3c801a3c163f4f40d1f55b5fbcd4b65259fc5e5d5aa12e513341 3424463 flightgear_2.12.0.orig.tar.bz2
 88a2cf1393bf721794eb8bbe74f68dddd6994c5eee88b8ce6af1fe3c0f178545 25007 flightgear_2.12.0-1.debian.tar.gz
 3c021d5f6500b0a89f6ceebcb28b7709dc477425bf8c3598f76d2c4c7ebec4d8 3123550 flightgear_2.12.0-1_i386.deb
Files: 
 4352a514bcfd4dbc4209ba62c1635a77 3131 games extra flightgear_2.12.0-1.dsc
 23e2de5f311f4cbe94ec3386736ee8a5 3424463 games extra flightgear_2.12.0.orig.tar.bz2
 3f16a808f80cc2479bef4828f9154206 25007 games extra flightgear_2.12.0-1.debian.tar.gz
 83c8eac2344acc7a00747650bbfbee32 3123550 games extra flightgear_2.12.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQQcBAEBCgAGBQJSQXc7AAoJEOhoLRs/MemzVt4gALrhwzr+J2kl2yfA86E02w23
t3m7qFi1cUl6VcFwAHcLGK9EUuNj9sKK7kqvWzi4pRH8PohBJJEwoyi1s37toQ1h
iQiZAl/oRdo93nh7U7bz0DxSGLA1Up5Xn7G91IKg4hVu6EWQYQSdbGZEh/1EOMYi
H7aPKiMYUsAZzhBNyNf4AexbVbiQ8WXhoIAER2c6teJWqMCobE6bq0i8mHuClEWi
p4wcJ8Y6TaPV3pha1z+OE7Yn8fmTI98Gozu6A+LcVHOuNq5gd/sx/jUiwyhNVg1T
sMuqlMJQCfmgs7DNLGMvrn5qoJQvDsQx+UsrEJr87pLc265HsLp7bQQZfa2xhUEH
RyNeYjCALlaTIEEnFhwYYD1C0O/e5MBPJKIAhVT3Oj9wTo+mMiKqns8sAayc8VQK
eIp1MoTB+sE1Dtp1n/vI1lkOY/d80T7InCh/bkieuTexUIYHuARKTRKjAb/gF7gd
T+AN/nTrFqVecw2HhyT8zsuzAASeuxTOuZQkLJTQo1rDkpsLuX+7197IQ8UC/2Rz
47RtyYLMQZE75oSY34vxDasaffHt3SU8GuccgYaPnbwiM5x0iE+werm0cPm7mQI8
VVHzo2uqE7pcoyhpcgfcO/T0VN3j6Gn/5VAdMjDpPTEgTFqzVgR6wSMhvo5fzA37
F07joK7kRD1nzFLTVbuLC31AZ0Kq2hDWLVxI79HhGRwNtCT34anHJ1j6x8qp/QFc
T9s66puteUG4ZfloQywNJRhHtiBN8Xc7Q0dS1bUtoodl+F2DU9zxhtLhrni1PNec
hcgZV4qgkcOIPwJAPsRlGZOgyFO/4mo/9yOO3CSxPSaun9/TFim8dtH2ilrhb/6P
VlcyA9yeXYpZmFnFvbYIB9vBMISiQ+p2AsXM5JZiVA1O/c7pcVmv7ORuypLXmALJ
O5gGBkMJDjK1Ifg/poOlzCN/UlUFaozz6JB5uO1pZ9kgumKuu/q/uh5KTPjauLoc
1veh/xlW951smo+w+GC9gcFXmW9W+ZcvWoGMGYsKD4XBRFinqLiqW2ZqSoqRKFGX
2IYSMNZQYpmSDIjJaMcmq92VPdfQ/RE0i13xCd2HFJVC5be4A/0QQpJnutULEqr0
g1RTq8lX3iJogY78qdLgqFyZMBjsnxMrO5NtZqnw3IQeaJqmbxJTfv3d/d/7OsxK
nvzgG4OmznHpc2hGHK7YiA7qv4Bzva0Fx+M9Axs6YX18r/doER5EVxDP3cPI6pO9
Z2hYR8MxBhp0yQ4Q9Gi/agLoZNa9MiLXLzQ9LEWL1ivN2riWch41FFvk11kjqkd5
S2KyB6BpdT9mZ0UMHLkLx5JBlqEHaOMrKuucrBtRYsUV2qr321DB/vLpckNtK+k=
=/eJr
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Oct 2013 07:38:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:09:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.